Full standard library replacement for OCaml
Description

Full standard library replacement for OCaml

Base is a complete and portable alternative to the OCaml standard library. It provides all standard functionalities one would expect from a language standard library. It uses consistent conventions across all of its module.

Base aims to be usable in any context. As a result system dependent features such as I/O are not offered by Base. They are instead provided by companion libraries such as stdio:

https://github.com/janestreet/stdio

Install
Last Published
11 May 2020
Authors
Maintainers
Sources
v0.13.2.tar.gz
md5=f43ce18d98fd0879e77ff671e077e607
Dependencies
dune >= "1.5.1"
sexplib0 >= "v0.13" & < "v0.14"
ocaml >= "4.04.2" & < "4.12"
Reverse Dependencies
ahrocksdb < "0.2.1"
alcotest-async >= "1.3.0"
async_ssl = "v0.13.0"
base_bigstring = "v0.13.0"
base_quickcheck = "v0.13.0"
bin_prot = "v0.13.0"
bio_io >= "0.2.1" & < "0.5.1"
camlimages >= "5.0.3"
capnp >= "3.3.0"
cohttp-async >= "2.5.0"
combinat < "3.0"
configurator >= "v0.11.0"
cookie >= "0.1.8"
core_kernel >= "v0.13.0" & < "v0.14.0"
crlibm < "0.3"
feather_async < "0.2.0"
fftw3 >= "0.8" & < "0.8.2"
fieldslib = "v0.13.0"
freetds = "0.6"
GT >= "0.4.0"
gammu >= "0.9.4"
genspio >= "0.0.3"
gsl >= "1.22.0" & < "1.24.3"
hardcaml = "v0.13.0"
inquire < "0.2.0"
jst-config = "v0.13.0"
lacaml >= "10.0.1" & < "11.0.7"
lbfgs = "0.9"
learn-ocaml >= "0.12"
libsvm >= "0.9.4"
mesh-triangle >= "0.9.3" & < "0.9.5"
notty_async < "v0.12.0"
nsq >= "0.2.5"
OCanren-ppx >= "0.3.0~alpha1"
obeam >= "0.1.0"
ocaml-r >= "0.1.0" & < "0.3.1"
ocamlformat >= "0.9"
owl >= "0.3.7"
pa_ppx = "0.03"
parsexp = "v0.13.0"
parsexp_io = "v0.13.0"
patience_diff = "v0.13.0"
pcre >= "7.3.0" & < "7.4.6"
posixat = "v0.13.0"
postgresql >= "4.1.0" & < "4.6.2"
ppx_assert = "v0.13.0"
ppx_bin_prot = "v0.13.0"
ppx_cold < "v0.14.0"
ppx_compare = "v0.13.0"
ppx_conv_func = "v0.13.0"
ppx_csv_conv = "v0.13.0"
ppx_enumerate = "v0.13.0"
ppx_expect >= "v0.13.0" & < "v0.14.0"
ppx_fail = "v0.13.0"
ppx_fields_conv = "v0.13.0"
ppx_hash = "v0.13.0"
ppx_here = "v0.13.0"
ppx_inline_test >= "v0.13.0" & < "v0.14.0"
ppx_js_style = "v0.13.0"
ppx_let = "v0.13.0"
ppx_module_timer = "v0.13.0"
ppx_optcomp = "v0.13.0"
ppx_optional = "v0.13.0"
ppx_pattern_bind = "v0.13.1"
ppx_protocol_conv >= "2.0.0" & != "4.0.0" & < "5.1.2"
ppx_python = "v0.13.0"
ppx_rapper >= "1.0.1"
ppx_sexp_conv = "v0.13.0"
ppx_sexp_message = "v0.13.0"
ppx_sexp_value = "v0.13.0"
ppx_stable = "v0.13.0"
ppx_typerep_conv = "v0.13.0"
ppx_xml_conv = "v0.13.0"
ppx_yojson_conv = "v0.13.0"
pythonlib = "v0.13.0"
range >= "0.6"
record_builder = "v0.13.0"
reparse = "2.1.0"
routes >= "2.0.0"
secp256k1 >= "0.2.5"
sexp_pretty = "v0.13.0"
sexp_select < "v0.14.0"
shexp = "v0.13.0"
sihl < "0.1.5"
spin < "0.8.0"
sqlite3 >= "4.2.0" & < "5.0.1"
stdio = "v0.13.0"
string_dict = "v0.13.0"
tensorflow >= "0.0.11"
time_now = "v0.13.0"
topological_sort = "v0.13.0"
travesty >= "0.6.0" & < "0.7.2"
typerep = "v0.13.0"
variantslib = "v0.13.0"
vcaml < "v0.14.0"
virtual_dom = "v0.13.0"
zmq-lwt < "5.1.0"